Package docking.widgets.textfield

# Class IntegerFormatter.PosiviteValueIntegerDocumentFilterWrapper

java.lang.Object
javax.swing.text.DocumentFilter
docking.widgets.textfield.IntegerFormatter.PosiviteValueIntegerDocumentFilterWrapper

Direct Known Subclasses:
  `HexIntegerFormatter.HexAllowedPositiveValueIntgerDocumentFilterWrapper`

Enclosing class:
  IntegerFormatter

protected static class IntegerFormatter.PosiviteValueIntegerDocumentFilterWrapper extends DocumentFilter

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter

  `DocumentFilter.FilterBypass`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Format`
  `format`
  `protected final DocumentFilter`
  `wrappedFilter`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `insertString(DocumentFilter.FilterBypass fb, int offset, String string, AttributeSet attr)`
  `protected boolean`
  `isDigit(char character)`
  `protected boolean`
  `isValidText(String text)`
  `protected Number`
  `parseText(String text)`
  `void`
  `remove(DocumentFilter.FilterBypass fb, int offset, int length)`
  `void`
  `replace(DocumentFilter.FilterBypass fb, int offset, int length, String text, AttributeSet attr)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### wrappedFilter

    protected final DocumentFilter wrappedFilter

  - ### format

    protected final Format format

- ## Method Details

  - ### remove

    public void remove(DocumentFilter.FilterBypass fb, int offset, int length) throws BadLocationException
    Overrides:
      `remove` in class `DocumentFilter`
    Throws:
      `BadLocationException`

  - ### insertString

    public void insertString(DocumentFilter.FilterBypass fb, int offset, String string, AttributeSet attr) throws BadLocationException
    Overrides:
      `insertString` in class `DocumentFilter`
    Throws:
      `BadLocationException`

  - ### replace

    public void replace(DocumentFilter.FilterBypass fb, int offset, int length, String text, AttributeSet attr) throws BadLocationException
    Overrides:
      `replace` in class `DocumentFilter`
    Throws:
      `BadLocationException`

  - ### isValidText

    protected boolean isValidText(String text)

  - ### isDigit

    protected boolean isDigit(char character)

  - ### parseText

    protected Number parseText(String text)